# Class Dendrogram

java.lang.Object
ch.usi.inf.sape.hac.dendrogram.Dendrogram

public final class Dendrogram extends Object
A Dendrogram represents the results of hierachical agglomerative clustering. The root represents a single cluster containing all observations.

## Constructor Summary

Constructors
Constructor
Description
`Dendrogram(DendrogramNode root)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dump()`
`DendrogramNode`
`getRoot()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Dendrogram

public Dendrogram(DendrogramNode root)

## Method Details

### getRoot

public DendrogramNode getRoot()

### dump

public void dump()